<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.7"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Robomap: Plik źródłowy RobotModel.hpp</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Robomap<span id="projectnumber">&#160;0.1</span>
   </div>
   <div id="projectbrief">RM</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.9.7 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Szukaj');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('_robot_model_8hpp_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle"><div class="title">RobotModel.hpp</div></div>
</div><!--header-->
<div class="contents">
<a href="_robot_model_8hpp.html">Idź do dokumentacji tego pliku.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="preprocessor">#ifndef ROBOTMODEL_HPP</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="preprocessor">#define ROBOTMODEL_HPP</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span> </div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span><span class="preprocessor">#include &lt;QGLViewer/qglviewer.h&gt;</span></div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span> </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span><span class="comment">// Długość planszy</span></div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno"><a class="line" href="_robot_model_8hpp.html#ab2f84c36c2d0595ec55832062bd0ebf2">   20</a></span><span class="preprocessor">#define BOARD_X 60</span></div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span><span class="comment">// Szerokość planszy</span></div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno"><a class="line" href="_robot_model_8hpp.html#a22de5dc5f2b1c9d3dfedd2e9b5f83017">   22</a></span><span class="preprocessor">#define BOARD_Y 42</span></div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span><span class="comment">// Zewnętrzny promień koła robota</span></div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno"><a class="line" href="_robot_model_8hpp.html#aa04b3e7cb1623fcd7ec61f7daafa462d">   24</a></span><span class="preprocessor">#define WHEEL_RADIUS_EXT 1.45F</span></div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span><span class="comment">// Wewnętrzny promień koła robota</span></div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno"><a class="line" href="_robot_model_8hpp.html#ab20f7a6476a6fba4e35950c75a058617">   26</a></span><span class="preprocessor">#define WHEEL_RADIUS_IN 0.75F</span></div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span><span class="comment">// Szerokość koła robota</span></div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno"><a class="line" href="_robot_model_8hpp.html#a2b9d11b81cbab8ee6f6376c8ff2184ea">   28</a></span><span class="preprocessor">#define WHEEL_WIDTH 1.3F</span></div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span><span class="comment">// Dokładność odrysowywanych okręgów</span></div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno"><a class="line" href="_robot_model_8hpp.html#ad4a59d611bde90fbfa2710f0ef849f97">   30</a></span><span class="preprocessor">#define ANG_STEP_DEG 10</span></div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span><span class="comment">// Odległość pomiędzy kołami robota</span></div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno"><a class="line" href="_robot_model_8hpp.html#a6c0dfbf5a1a6e04707647bec2dce1bde">   32</a></span><span class="preprocessor">#define WHEEL_SPACING 8.6F</span></div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span><span class="comment">// Wysokość rysowanych przeszkód</span></div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno"><a class="line" href="_robot_model_8hpp.html#a11508d05621bcf587ed7a780813d140a">   34</a></span><span class="preprocessor">#define OBSTACLE_HEIGHT 2.1F</span></div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span><span class="comment">// Współczynnik kierunkowy regresji liniowej</span></div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno"><a class="line" href="_robot_model_8hpp.html#af038e006b41de53b3f1b8a2079e31546">   36</a></span><span class="preprocessor">#define LINEAR_COEF 9.85</span></div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span><span class="comment">// Wyraz wolny regresji liniowej</span></div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno"><a class="line" href="_robot_model_8hpp.html#a21005f9f4e2ce7597c5eb4351816d7e2">   38</a></span><span class="preprocessor">#define OFFSET 7.395194838</span></div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span><span class="comment">// Maksymala wielkość bufora ze współrzędnymi przeszkód</span></div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno"><a class="line" href="_robot_model_8hpp.html#a7244ab798f58214294b580ca0bb48552">   40</a></span><span class="preprocessor">#define MAX_BUF_SIZE 1000</span></div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span> </div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span><span class="comment">// ~~~~~~~ Stałe dotyczące czujników odległości</span></div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span><span class="comment">// Kąt między orietnacją lewego i prawego czujnika a prostą</span></div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span><span class="comment">// prostopadłą do poziomej linii podstawy robota</span></div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno"><a class="line" href="_robot_model_8hpp.html#a8a7f485573c16394fc0792a66bd02c7a">   45</a></span><span class="preprocessor">#define ANGLE 34</span></div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span><span class="comment">// Przesunięcie w osi X lewego i prawego czujnika od punktu</span></div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span><span class="comment">// między kołami robota</span></div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno"><a class="line" href="_robot_model_8hpp.html#a27098912d76fa162f46833a96a90f00a">   48</a></span><span class="preprocessor">#define OFFSETX1 4.45</span></div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span><span class="comment">// Przesunięcie w osi Y lewego i prawego czujnika od punktu</span></div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span><span class="comment">// między kołami robota</span></div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno"><a class="line" href="_robot_model_8hpp.html#a8a46a05fc891ac88d5f7d881468790fe">   51</a></span><span class="preprocessor">#define OFFSETY1 4.05</span></div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span><span class="comment">// Przesunięcie w osi X przednich czujników od punktu między</span></div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span><span class="comment">// kołami robota</span></div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno"><a class="line" href="_robot_model_8hpp.html#a6237700fd34ffe50e3ffb8ed33e2d829">   54</a></span><span class="preprocessor">#define OFFSETX2 5.65</span></div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span><span class="comment">// Przesunięcie w osi Y przednich czujników od punktu między</span></div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span><span class="comment">// kołami robota</span></div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno"><a class="line" href="_robot_model_8hpp.html#ac8863d8861b17af580214a3310dc3185">   57</a></span><span class="preprocessor">#define OFFSETY2 1.4</span></div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span><span class="comment">// Promień okręgu detekcji (w jakiej odległości robot zauważa przeszkody)</span></div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno"><a class="line" href="_robot_model_8hpp.html#ae1bbd8244cc38252c323a05c406dd16e">   59</a></span><span class="preprocessor">#define DETECTION_RADIUS 25.0F</span></div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span> </div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno"><a class="line" href="class_robot_model.html">   69</a></span><span class="keyword">class </span><a class="code hl_class" href="class_robot_model.html">RobotModel</a></div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>{</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>  <span class="keyword">private</span>:</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno"><a class="line" href="class_robot_model.html#a644f24ce04cb33b8db2fbda1fc2e2420">   78</a></span>    <span class="keywordtype">float</span> <a class="code hl_variable" href="class_robot_model.html#a644f24ce04cb33b8db2fbda1fc2e2420">base_xdim</a>[4] = {0, 3.1, 8.4, 9.9};</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno"><a class="line" href="class_robot_model.html#a4cdd7ccd23ed87e388ed0635e3f7991b">   87</a></span>    <span class="keywordtype">float</span> <a class="code hl_variable" href="class_robot_model.html#a4cdd7ccd23ed87e388ed0635e3f7991b">base_ydim</a>[3] = {3.4, 4.9, 2.8};</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno"><a class="line" href="class_robot_model.html#a2f798884e9a13f5ae3d7c58d7b2194e5">   91</a></span>    <span class="keyword">const</span> <span class="keywordtype">float</span> <a class="code hl_variable" href="class_robot_model.html#a2f798884e9a13f5ae3d7c58d7b2194e5">base_color</a>[3] = {0.1, 0.1, 0.1};</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno"><a class="line" href="class_robot_model.html#a308a82506f5ebec238713ff4710baef3">   95</a></span>    <span class="keyword">const</span> <span class="keywordtype">float</span> <a class="code hl_variable" href="class_robot_model.html#a308a82506f5ebec238713ff4710baef3">front_color</a>[3] = {0.8, 0.8, 0.8};</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno"><a class="line" href="class_robot_model.html#ad843021574c28bd3b719d7b106c27048">   99</a></span>    <span class="keyword">const</span> <span class="keywordtype">float</span> <a class="code hl_variable" href="class_robot_model.html#ad843021574c28bd3b719d7b106c27048">obstacle_color</a>[3] = {0.9, 0.1, 0.1};</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno"><a class="line" href="class_robot_model.html#a1fda969d9d9a447f5f0d5bef7ab3ba85">  107</a></span>    <span class="keywordtype">double</span> <a class="code hl_variable" href="class_robot_model.html#a1fda969d9d9a447f5f0d5bef7ab3ba85">position</a>[2] = {(<a class="code hl_define" href="_robot_model_8hpp.html#ab2f84c36c2d0595ec55832062bd0ebf2">BOARD_X</a>/2) - 1.55, 0.0};</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno"><a class="line" href="class_robot_model.html#a212a2687c1e9f761dff6896009bcdcaf">  111</a></span>    <span class="keywordtype">double</span> <a class="code hl_variable" href="class_robot_model.html#a212a2687c1e9f761dff6896009bcdcaf">orientation</a> = 0;</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno"><a class="line" href="class_robot_model.html#abff75ab66f078cb17055da2a5c8a48ce">  118</a></span>    <span class="keywordtype">double</span> <a class="code hl_variable" href="class_robot_model.html#abff75ab66f078cb17055da2a5c8a48ce">lwheel_rot</a> = 0;</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno"><a class="line" href="class_robot_model.html#a7d4b31cea52b526ab1fcda01c947c44d">  125</a></span>    <span class="keywordtype">double</span> <a class="code hl_variable" href="class_robot_model.html#a7d4b31cea52b526ab1fcda01c947c44d">rwheel_rot</a> = 0;</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno"><a class="line" href="class_robot_model.html#a718bf2ab8a143dfa08c2055920507e1b">  129</a></span>    <span class="keywordtype">double</span> <a class="code hl_variable" href="class_robot_model.html#a718bf2ab8a143dfa08c2055920507e1b">distance</a> = 0;</div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno"><a class="line" href="class_robot_model.html#a321aaa470271c7ec32d2f77d93f34034">  138</a></span>    std::vector&lt;int&gt; <a class="code hl_variable" href="class_robot_model.html#a321aaa470271c7ec32d2f77d93f34034">measures</a>[4];</div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno"><a class="line" href="class_robot_model.html#a7c956ae296af5b38baf87acc4d5b85c2">  146</a></span>    std::vector&lt;std::pair&lt;float, float&gt;&gt; <a class="code hl_variable" href="class_robot_model.html#a7c956ae296af5b38baf87acc4d5b85c2">obstacles</a>;</div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span>    <span class="keywordtype">void</span> <a class="code hl_function" href="class_robot_model.html#af95c27a9257a9337c8b513c25b40db66">drawBoard</a>();</div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span>    <span class="keywordtype">void</span> <a class="code hl_function" href="class_robot_model.html#ab82a28cb17bce5ce86f098c1feb06b20">drawWheel</a>(<span class="keywordtype">double</span> rotation);</div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span>    <span class="keywordtype">void</span> <a class="code hl_function" href="class_robot_model.html#a12178061bc2160d73de81f418c65f25b">drawBase</a>();</div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span>    <span class="keywordtype">void</span> <a class="code hl_function" href="class_robot_model.html#a4b263ab1f68a83cfa3d452d5815f4e78">drawFront</a>();</div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno">  166</span>    <span class="keywordtype">void</span> <a class="code hl_function" href="class_robot_model.html#a8e333fbe656aff04e02de1365c1efda8">drawFrontWing</a>();</div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno">  170</span>    <span class="keywordtype">void</span> <a class="code hl_function" href="class_robot_model.html#a87661f0bd9710754adfc61ba51fb04db">drawFrontWall</a>();</div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno">  174</span>    <span class="keywordtype">void</span> <a class="code hl_function" href="class_robot_model.html#a0169a2468fac501c9ad490f3e3b107b4">drawMotor</a>();</div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno">  178</span>    <span class="keywordtype">void</span> <a class="code hl_function" href="class_robot_model.html#a8e238d0238c3ba612fe8308a41aa4688">drawMotorFront</a>();</div>
<div class="line"><a id="l00182" name="l00182"></a><span class="lineno">  182</span>    <span class="keywordtype">void</span> <a class="code hl_function" href="class_robot_model.html#a97109a084e61c1a3393c09c647328463">drawMotorRoller</a>();</div>
<div class="line"><a id="l00186" name="l00186"></a><span class="lineno">  186</span>    <span class="keywordtype">void</span> <a class="code hl_function" href="class_robot_model.html#a6d57174d36911f7a2ce5adbf20d37929">drawMotorMain</a>();</div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno">  190</span>    <span class="keywordtype">void</span> <a class="code hl_function" href="class_robot_model.html#ad5aaa78e64238b82f7a6b8363bf1d4e9">drawBattery</a>();</div>
<div class="line"><a id="l00194" name="l00194"></a><span class="lineno">  194</span>    <span class="keywordtype">void</span> <a class="code hl_function" href="class_robot_model.html#aa1bb3a43a9ca915f3c29d063ec4cc70d">drawDetectionCircle</a>();</div>
<div class="line"><a id="l00198" name="l00198"></a><span class="lineno">  198</span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="class_robot_model.html#acbfac5e4469144d48c761f01631df790">checkMeasuresSize</a>();</div>
<div class="line"><a id="l00202" name="l00202"></a><span class="lineno">  202</span>    <span class="keywordtype">int</span> <a class="code hl_function" href="class_robot_model.html#a08fd1adf414eb69aacc759b7effdde4f">returnMeasureIfConst</a>(<span class="keywordtype">int</span> index);</div>
<div class="line"><a id="l00203" name="l00203"></a><span class="lineno">  203</span> </div>
<div class="line"><a id="l00204" name="l00204"></a><span class="lineno">  204</span>  <span class="keyword">public</span>:</div>
<div class="line"><a id="l00208" name="l00208"></a><span class="lineno"><a class="line" href="class_robot_model.html#a65c03c3c26d969afaae0efff52653a9d">  208</a></span>    <a class="code hl_function" href="class_robot_model.html#a65c03c3c26d969afaae0efff52653a9d">RobotModel</a>() {  }</div>
<div class="line"><a id="l00212" name="l00212"></a><span class="lineno">  212</span>    <span class="keywordtype">void</span> <a class="code hl_function" href="class_robot_model.html#a29a86db3d5f416f78ce4a9527f00f6fc">build</a>();</div>
<div class="line"><a id="l00216" name="l00216"></a><span class="lineno">  216</span>    <span class="keywordtype">void</span> <a class="code hl_function" href="class_robot_model.html#a462c63bf18c587c8f6eb6459be6b6fbe">move</a>(<span class="keywordtype">int</span> left_velocity, <span class="keywordtype">int</span> right_velocity, <span class="keywordtype">int</span> time_interval);</div>
<div class="line"><a id="l00220" name="l00220"></a><span class="lineno">  220</span>    <span class="keywordtype">void</span> <a class="code hl_function" href="class_robot_model.html#a9d9e28b6fc0fe43de28cb93162389fb8">drawObstacle</a>();</div>
<div class="line"><a id="l00224" name="l00224"></a><span class="lineno">  224</span>    <span class="keywordtype">void</span> <a class="code hl_function" href="class_robot_model.html#a5ff73305cdfe2a1691b0c52c46a38a54">buildRobot</a>();</div>
<div class="line"><a id="l00233" name="l00233"></a><span class="lineno"><a class="line" href="class_robot_model.html#a134ea6dbabe4c3e668f5ac4a9ded970f">  233</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="class_robot_model.html#a134ea6dbabe4c3e668f5ac4a9ded970f">getMeasure</a>(<span class="keywordtype">int</span> new_measure, <span class="keywordtype">int</span> index) { <a class="code hl_variable" href="class_robot_model.html#a321aaa470271c7ec32d2f77d93f34034">measures</a>[index].push_back(new_measure); }</div>
<div class="line"><a id="l00239" name="l00239"></a><span class="lineno"><a class="line" href="class_robot_model.html#a127d30bb649582d905960e7c144e9d58">  239</a></span>    <span class="keywordtype">double</span> <a class="code hl_function" href="class_robot_model.html#a127d30bb649582d905960e7c144e9d58">returnRobotDistance</a>() { <span class="keywordflow">return</span> <a class="code hl_variable" href="class_robot_model.html#a718bf2ab8a143dfa08c2055920507e1b">distance</a>; }</div>
<div class="line"><a id="l00240" name="l00240"></a><span class="lineno">  240</span>};</div>
<div class="line"><a id="l00241" name="l00241"></a><span class="lineno">  241</span> </div>
<div class="line"><a id="l00242" name="l00242"></a><span class="lineno">  242</span><span class="comment">// ~~~~~~~~~~~~~ Funkcje pomocnicze ~~~~~~~~~~~~~ //</span></div>
<div class="line"><a id="l00246" name="l00246"></a><span class="lineno">  246</span><span class="comment"></span><span class="keywordtype">void</span> <a class="code hl_function" href="_robot_model_8hpp.html#a62811974436c35fe396f8cea11bf0f1a">drawBlackField</a>(GLfloat x_position, GLfloat y_position, GLfloat z_position = 0.51);</div>
<div class="line"><a id="l00250" name="l00250"></a><span class="lineno">  250</span><span class="keywordtype">void</span> <a class="code hl_function" href="_robot_model_8hpp.html#aca253efc916fb836bf53a4b602e96881">drawPolygon</a>(GLfloat *x_coords,</div>
<div class="line"><a id="l00251" name="l00251"></a><span class="lineno">  251</span>                 GLfloat *y_coords,</div>
<div class="line"><a id="l00252" name="l00252"></a><span class="lineno">  252</span>                 GLfloat *z_coords,</div>
<div class="line"><a id="l00253" name="l00253"></a><span class="lineno">  253</span>                 <span class="keyword">const</span> GLfloat *color = <span class="keyword">nullptr</span>,</div>
<div class="line"><a id="l00254" name="l00254"></a><span class="lineno">  254</span>                 <span class="keyword">const</span> GLfloat *norm = <span class="keyword">nullptr</span>);</div>
<div class="line"><a id="l00258" name="l00258"></a><span class="lineno">  258</span><span class="keywordtype">void</span> <a class="code hl_function" href="_robot_model_8hpp.html#a3f98776a162029889da039f37f4811a7">drawObstacleLine</a>(std::pair&lt;float, float&gt; coords, <span class="keyword">const</span> <span class="keywordtype">float</span> *color);</div>
<div class="line"><a id="l00265" name="l00265"></a><span class="lineno">  265</span><span class="keyword">inline</span></div>
<div class="line"><a id="l00266" name="l00266"></a><span class="lineno"><a class="line" href="_robot_model_8hpp.html#aecb475808c5b6047a80e78b980cb4fbb">  266</a></span><span class="keywordtype">double</span> <a class="code hl_function" href="_robot_model_8hpp.html#aecb475808c5b6047a80e78b980cb4fbb">deg2rad</a>(<span class="keywordtype">double</span> angle_deg) { <span class="keywordflow">return</span> angle_deg*M_PI/180; }</div>
<div class="line"><a id="l00273" name="l00273"></a><span class="lineno">  273</span><span class="keyword">inline</span></div>
<div class="line"><a id="l00274" name="l00274"></a><span class="lineno"><a class="line" href="_robot_model_8hpp.html#adbda2be3186f3f269760ccfba7f4412b">  274</a></span><span class="keywordtype">double</span> <a class="code hl_function" href="_robot_model_8hpp.html#adbda2be3186f3f269760ccfba7f4412b">rad2deg</a>(<span class="keywordtype">double</span> angle_rad) { <span class="keywordflow">return</span> angle_rad*180/M_PI; }</div>
<div class="line"><a id="l00278" name="l00278"></a><span class="lineno">  278</span><span class="keywordtype">void</span> <a class="code hl_function" href="_robot_model_8hpp.html#aa31febf458485f9c45b26e33d2384d95">updateArray</a>(<span class="keywordtype">float</span> *array, <span class="keywordtype">float</span> point1, <span class="keywordtype">float</span> point2, <span class="keywordtype">float</span> point3, <span class="keywordtype">float</span> point4);</div>
<div class="line"><a id="l00279" name="l00279"></a><span class="lineno">  279</span> </div>
<div class="line"><a id="l00280" name="l00280"></a><span class="lineno">  280</span><span class="preprocessor">#endif </span><span class="comment">// ROBOTMODEL_HPP</span></div>
<div class="ttc" id="a_robot_model_8hpp_html_a3f98776a162029889da039f37f4811a7"><div class="ttname"><a href="_robot_model_8hpp.html#a3f98776a162029889da039f37f4811a7">drawObstacleLine</a></div><div class="ttdeci">void drawObstacleLine(std::pair&lt; float, float &gt; coords, const float *color)</div><div class="ttdoc">Rysuje przeszkodę w postaci walca.</div><div class="ttdef"><b>Definition</b> <a href="_robot_model_8cpp_source.html#l01133">RobotModel.cpp:1133</a></div></div>
<div class="ttc" id="a_robot_model_8hpp_html_a62811974436c35fe396f8cea11bf0f1a"><div class="ttname"><a href="_robot_model_8hpp.html#a62811974436c35fe396f8cea11bf0f1a">drawBlackField</a></div><div class="ttdeci">void drawBlackField(GLfloat x_position, GLfloat y_position, GLfloat z_position=0.51)</div><div class="ttdoc">Rysuje czarne pola na planszy (szachownicy)</div><div class="ttdef"><b>Definition</b> <a href="_robot_model_8cpp_source.html#l01070">RobotModel.cpp:1070</a></div></div>
<div class="ttc" id="a_robot_model_8hpp_html_aa31febf458485f9c45b26e33d2384d95"><div class="ttname"><a href="_robot_model_8hpp.html#aa31febf458485f9c45b26e33d2384d95">updateArray</a></div><div class="ttdeci">void updateArray(float *array, float point1, float point2, float point3, float point4)</div><div class="ttdoc">Aktualizuje współrzędne w tablicy.</div><div class="ttdef"><b>Definition</b> <a href="_robot_model_8cpp_source.html#l01119">RobotModel.cpp:1119</a></div></div>
<div class="ttc" id="a_robot_model_8hpp_html_ab2f84c36c2d0595ec55832062bd0ebf2"><div class="ttname"><a href="_robot_model_8hpp.html#ab2f84c36c2d0595ec55832062bd0ebf2">BOARD_X</a></div><div class="ttdeci">#define BOARD_X</div><div class="ttdef"><b>Definition</b> <a href="_robot_model_8hpp_source.html#l00020">RobotModel.hpp:20</a></div></div>
<div class="ttc" id="a_robot_model_8hpp_html_aca253efc916fb836bf53a4b602e96881"><div class="ttname"><a href="_robot_model_8hpp.html#aca253efc916fb836bf53a4b602e96881">drawPolygon</a></div><div class="ttdeci">void drawPolygon(GLfloat *x_coords, GLfloat *y_coords, GLfloat *z_coords, const GLfloat *color=nullptr, const GLfloat *norm=nullptr)</div><div class="ttdoc">Rysuje prostopadłościan na podstawie danych współrzędnych.</div><div class="ttdef"><b>Definition</b> <a href="_robot_model_8cpp_source.html#l01090">RobotModel.cpp:1090</a></div></div>
<div class="ttc" id="a_robot_model_8hpp_html_adbda2be3186f3f269760ccfba7f4412b"><div class="ttname"><a href="_robot_model_8hpp.html#adbda2be3186f3f269760ccfba7f4412b">rad2deg</a></div><div class="ttdeci">double rad2deg(double angle_rad)</div><div class="ttdoc">Przekształca radiany w stopnie.</div><div class="ttdef"><b>Definition</b> <a href="_robot_model_8hpp_source.html#l00274">RobotModel.hpp:274</a></div></div>
<div class="ttc" id="a_robot_model_8hpp_html_aecb475808c5b6047a80e78b980cb4fbb"><div class="ttname"><a href="_robot_model_8hpp.html#aecb475808c5b6047a80e78b980cb4fbb">deg2rad</a></div><div class="ttdeci">double deg2rad(double angle_deg)</div><div class="ttdoc">Przekształca stopnie do radianów.</div><div class="ttdef"><b>Definition</b> <a href="_robot_model_8hpp_source.html#l00266">RobotModel.hpp:266</a></div></div>
<div class="ttc" id="aclass_robot_model_html"><div class="ttname"><a href="class_robot_model.html">RobotModel</a></div><div class="ttdoc">Trójwymiarowy model robota.</div><div class="ttdef"><b>Definition</b> <a href="_robot_model_8hpp_source.html#l00069">RobotModel.hpp:70</a></div></div>
<div class="ttc" id="aclass_robot_model_html_a0169a2468fac501c9ad490f3e3b107b4"><div class="ttname"><a href="class_robot_model.html#a0169a2468fac501c9ad490f3e3b107b4">RobotModel::drawMotor</a></div><div class="ttdeci">void drawMotor()</div><div class="ttdoc">Rysuje kompletny silnik DC.</div><div class="ttdef"><b>Definition</b> <a href="_robot_model_8cpp_source.html#l00747">RobotModel.cpp:747</a></div></div>
<div class="ttc" id="aclass_robot_model_html_a08fd1adf414eb69aacc759b7effdde4f"><div class="ttname"><a href="class_robot_model.html#a08fd1adf414eb69aacc759b7effdde4f">RobotModel::returnMeasureIfConst</a></div><div class="ttdeci">int returnMeasureIfConst(int index)</div><div class="ttdoc">Zwraca uśredniony wynik, o ile ostatnie pomiary były stabilne.</div><div class="ttdef"><b>Definition</b> <a href="_robot_model_8cpp_source.html#l00176">RobotModel.cpp:176</a></div></div>
<div class="ttc" id="aclass_robot_model_html_a12178061bc2160d73de81f418c65f25b"><div class="ttname"><a href="class_robot_model.html#a12178061bc2160d73de81f418c65f25b">RobotModel::drawBase</a></div><div class="ttdeci">void drawBase()</div><div class="ttdoc">Rysuje podstawę robota.</div><div class="ttdef"><b>Definition</b> <a href="_robot_model_8cpp_source.html#l00454">RobotModel.cpp:454</a></div></div>
<div class="ttc" id="aclass_robot_model_html_a127d30bb649582d905960e7c144e9d58"><div class="ttname"><a href="class_robot_model.html#a127d30bb649582d905960e7c144e9d58">RobotModel::returnRobotDistance</a></div><div class="ttdeci">double returnRobotDistance()</div><div class="ttdoc">Zwraca odległość przebytą przez robota.</div><div class="ttdef"><b>Definition</b> <a href="_robot_model_8hpp_source.html#l00239">RobotModel.hpp:239</a></div></div>
<div class="ttc" id="aclass_robot_model_html_a134ea6dbabe4c3e668f5ac4a9ded970f"><div class="ttname"><a href="class_robot_model.html#a134ea6dbabe4c3e668f5ac4a9ded970f">RobotModel::getMeasure</a></div><div class="ttdeci">void getMeasure(int new_measure, int index)</div><div class="ttdoc">Dodaje nowy pomiar z danego czujnika.</div><div class="ttdef"><b>Definition</b> <a href="_robot_model_8hpp_source.html#l00233">RobotModel.hpp:233</a></div></div>
<div class="ttc" id="aclass_robot_model_html_a1fda969d9d9a447f5f0d5bef7ab3ba85"><div class="ttname"><a href="class_robot_model.html#a1fda969d9d9a447f5f0d5bef7ab3ba85">RobotModel::position</a></div><div class="ttdeci">double position[2]</div><div class="ttdoc">Współrzędne aktualnego położenia robota.</div><div class="ttdef"><b>Definition</b> <a href="_robot_model_8hpp_source.html#l00107">RobotModel.hpp:107</a></div></div>
<div class="ttc" id="aclass_robot_model_html_a212a2687c1e9f761dff6896009bcdcaf"><div class="ttname"><a href="class_robot_model.html#a212a2687c1e9f761dff6896009bcdcaf">RobotModel::orientation</a></div><div class="ttdeci">double orientation</div><div class="ttdoc">Aktualna orientacja robota.</div><div class="ttdef"><b>Definition</b> <a href="_robot_model_8hpp_source.html#l00111">RobotModel.hpp:111</a></div></div>
<div class="ttc" id="aclass_robot_model_html_a29a86db3d5f416f78ce4a9527f00f6fc"><div class="ttname"><a href="class_robot_model.html#a29a86db3d5f416f78ce4a9527f00f6fc">RobotModel::build</a></div><div class="ttdeci">void build()</div><div class="ttdoc">Rysuje wszystkie elementy mapy 3D.</div><div class="ttdef"><b>Definition</b> <a href="_robot_model_8cpp_source.html#l00217">RobotModel.cpp:217</a></div></div>
<div class="ttc" id="aclass_robot_model_html_a2f798884e9a13f5ae3d7c58d7b2194e5"><div class="ttname"><a href="class_robot_model.html#a2f798884e9a13f5ae3d7c58d7b2194e5">RobotModel::base_color</a></div><div class="ttdeci">const float base_color[3]</div><div class="ttdoc">Kolor podstawy robota.</div><div class="ttdef"><b>Definition</b> <a href="_robot_model_8hpp_source.html#l00091">RobotModel.hpp:91</a></div></div>
<div class="ttc" id="aclass_robot_model_html_a308a82506f5ebec238713ff4710baef3"><div class="ttname"><a href="class_robot_model.html#a308a82506f5ebec238713ff4710baef3">RobotModel::front_color</a></div><div class="ttdeci">const float front_color[3]</div><div class="ttdoc">Kolor przedniej ściany robota.</div><div class="ttdef"><b>Definition</b> <a href="_robot_model_8hpp_source.html#l00095">RobotModel.hpp:95</a></div></div>
<div class="ttc" id="aclass_robot_model_html_a321aaa470271c7ec32d2f77d93f34034"><div class="ttname"><a href="class_robot_model.html#a321aaa470271c7ec32d2f77d93f34034">RobotModel::measures</a></div><div class="ttdeci">std::vector&lt; int &gt; measures[4]</div><div class="ttdoc">Pomiary czujników odległości.</div><div class="ttdef"><b>Definition</b> <a href="_robot_model_8hpp_source.html#l00138">RobotModel.hpp:138</a></div></div>
<div class="ttc" id="aclass_robot_model_html_a462c63bf18c587c8f6eb6459be6b6fbe"><div class="ttname"><a href="class_robot_model.html#a462c63bf18c587c8f6eb6459be6b6fbe">RobotModel::move</a></div><div class="ttdeci">void move(int left_velocity, int right_velocity, int time_interval)</div><div class="ttdoc">Oblicza nowe położenie i orietnację robota.</div><div class="ttdef"><b>Definition</b> <a href="_robot_model_8cpp_source.html#l00025">RobotModel.cpp:25</a></div></div>
<div class="ttc" id="aclass_robot_model_html_a4b263ab1f68a83cfa3d452d5815f4e78"><div class="ttname"><a href="class_robot_model.html#a4b263ab1f68a83cfa3d452d5815f4e78">RobotModel::drawFront</a></div><div class="ttdeci">void drawFront()</div><div class="ttdoc">Rysuje kompletną przednią ścianę robota.</div><div class="ttdef"><b>Definition</b> <a href="_robot_model_8cpp_source.html#l00290">RobotModel.cpp:290</a></div></div>
<div class="ttc" id="aclass_robot_model_html_a4cdd7ccd23ed87e388ed0635e3f7991b"><div class="ttname"><a href="class_robot_model.html#a4cdd7ccd23ed87e388ed0635e3f7991b">RobotModel::base_ydim</a></div><div class="ttdeci">float base_ydim[3]</div><div class="ttdoc">Wymiary podstawy robota w osi Y.</div><div class="ttdef"><b>Definition</b> <a href="_robot_model_8hpp_source.html#l00087">RobotModel.hpp:87</a></div></div>
<div class="ttc" id="aclass_robot_model_html_a5ff73305cdfe2a1691b0c52c46a38a54"><div class="ttname"><a href="class_robot_model.html#a5ff73305cdfe2a1691b0c52c46a38a54">RobotModel::buildRobot</a></div><div class="ttdeci">void buildRobot()</div><div class="ttdoc">Rysuje kompletnego robota.</div><div class="ttdef"><b>Definition</b> <a href="_robot_model_8cpp_source.html#l00239">RobotModel.cpp:239</a></div></div>
<div class="ttc" id="aclass_robot_model_html_a644f24ce04cb33b8db2fbda1fc2e2420"><div class="ttname"><a href="class_robot_model.html#a644f24ce04cb33b8db2fbda1fc2e2420">RobotModel::base_xdim</a></div><div class="ttdeci">float base_xdim[4]</div><div class="ttdoc">Wymiary podstawy robota w osi X.</div><div class="ttdef"><b>Definition</b> <a href="_robot_model_8hpp_source.html#l00078">RobotModel.hpp:78</a></div></div>
<div class="ttc" id="aclass_robot_model_html_a65c03c3c26d969afaae0efff52653a9d"><div class="ttname"><a href="class_robot_model.html#a65c03c3c26d969afaae0efff52653a9d">RobotModel::RobotModel</a></div><div class="ttdeci">RobotModel()</div><div class="ttdoc">Konstruktor domyślny klasy.</div><div class="ttdef"><b>Definition</b> <a href="_robot_model_8hpp_source.html#l00208">RobotModel.hpp:208</a></div></div>
<div class="ttc" id="aclass_robot_model_html_a6d57174d36911f7a2ce5adbf20d37929"><div class="ttname"><a href="class_robot_model.html#a6d57174d36911f7a2ce5adbf20d37929">RobotModel::drawMotorMain</a></div><div class="ttdeci">void drawMotorMain()</div><div class="ttdoc">Rysuje główną część silnika.</div><div class="ttdef"><b>Definition</b> <a href="_robot_model_8cpp_source.html#l00781">RobotModel.cpp:781</a></div></div>
<div class="ttc" id="aclass_robot_model_html_a718bf2ab8a143dfa08c2055920507e1b"><div class="ttname"><a href="class_robot_model.html#a718bf2ab8a143dfa08c2055920507e1b">RobotModel::distance</a></div><div class="ttdeci">double distance</div><div class="ttdoc">Całkowita droga przebyta przez robota.</div><div class="ttdef"><b>Definition</b> <a href="_robot_model_8hpp_source.html#l00129">RobotModel.hpp:129</a></div></div>
<div class="ttc" id="aclass_robot_model_html_a7c956ae296af5b38baf87acc4d5b85c2"><div class="ttname"><a href="class_robot_model.html#a7c956ae296af5b38baf87acc4d5b85c2">RobotModel::obstacles</a></div><div class="ttdeci">std::vector&lt; std::pair&lt; float, float &gt; &gt; obstacles</div><div class="ttdoc">Współrzędne przeszkód.</div><div class="ttdef"><b>Definition</b> <a href="_robot_model_8hpp_source.html#l00146">RobotModel.hpp:146</a></div></div>
<div class="ttc" id="aclass_robot_model_html_a7d4b31cea52b526ab1fcda01c947c44d"><div class="ttname"><a href="class_robot_model.html#a7d4b31cea52b526ab1fcda01c947c44d">RobotModel::rwheel_rot</a></div><div class="ttdeci">double rwheel_rot</div><div class="ttdoc">Początkowy kąt rysowania prawego koła.</div><div class="ttdef"><b>Definition</b> <a href="_robot_model_8hpp_source.html#l00125">RobotModel.hpp:125</a></div></div>
<div class="ttc" id="aclass_robot_model_html_a87661f0bd9710754adfc61ba51fb04db"><div class="ttname"><a href="class_robot_model.html#a87661f0bd9710754adfc61ba51fb04db">RobotModel::drawFrontWall</a></div><div class="ttdeci">void drawFrontWall()</div><div class="ttdoc">Rysuje frontową część ściany.</div><div class="ttdef"><b>Definition</b> <a href="_robot_model_8cpp_source.html#l00316">RobotModel.cpp:316</a></div></div>
<div class="ttc" id="aclass_robot_model_html_a8e238d0238c3ba612fe8308a41aa4688"><div class="ttname"><a href="class_robot_model.html#a8e238d0238c3ba612fe8308a41aa4688">RobotModel::drawMotorFront</a></div><div class="ttdeci">void drawMotorFront()</div><div class="ttdoc">Rysuje złote blaszki silnika DC.</div><div class="ttdef"><b>Definition</b> <a href="_robot_model_8cpp_source.html#l00926">RobotModel.cpp:926</a></div></div>
<div class="ttc" id="aclass_robot_model_html_a8e333fbe656aff04e02de1365c1efda8"><div class="ttname"><a href="class_robot_model.html#a8e333fbe656aff04e02de1365c1efda8">RobotModel::drawFrontWing</a></div><div class="ttdeci">void drawFrontWing()</div><div class="ttdoc">Rysuje lewą i prawą część ściany.</div><div class="ttdef"><b>Definition</b> <a href="_robot_model_8cpp_source.html#l00380">RobotModel.cpp:380</a></div></div>
<div class="ttc" id="aclass_robot_model_html_a97109a084e61c1a3393c09c647328463"><div class="ttname"><a href="class_robot_model.html#a97109a084e61c1a3393c09c647328463">RobotModel::drawMotorRoller</a></div><div class="ttdeci">void drawMotorRoller()</div><div class="ttdoc">Rysuje cienkie tuleje silnika.</div><div class="ttdef"><b>Definition</b> <a href="_robot_model_8cpp_source.html#l00896">RobotModel.cpp:896</a></div></div>
<div class="ttc" id="aclass_robot_model_html_a9d9e28b6fc0fe43de28cb93162389fb8"><div class="ttname"><a href="class_robot_model.html#a9d9e28b6fc0fe43de28cb93162389fb8">RobotModel::drawObstacle</a></div><div class="ttdeci">void drawObstacle()</div><div class="ttdoc">Oblicza współrzędne przeszkód.</div><div class="ttdef"><b>Definition</b> <a href="_robot_model_8cpp_source.html#l00075">RobotModel.cpp:75</a></div></div>
<div class="ttc" id="aclass_robot_model_html_aa1bb3a43a9ca915f3c29d063ec4cc70d"><div class="ttname"><a href="class_robot_model.html#aa1bb3a43a9ca915f3c29d063ec4cc70d">RobotModel::drawDetectionCircle</a></div><div class="ttdeci">void drawDetectionCircle()</div><div class="ttdoc">Rysuje okrąg detekcji robota.</div><div class="ttdef"><b>Definition</b> <a href="_robot_model_8cpp_source.html#l00714">RobotModel.cpp:714</a></div></div>
<div class="ttc" id="aclass_robot_model_html_ab82a28cb17bce5ce86f098c1feb06b20"><div class="ttname"><a href="class_robot_model.html#ab82a28cb17bce5ce86f098c1feb06b20">RobotModel::drawWheel</a></div><div class="ttdeci">void drawWheel(double rotation)</div><div class="ttdoc">Rysuje koło robota.</div><div class="ttdef"><b>Definition</b> <a href="_robot_model_8cpp_source.html#l00613">RobotModel.cpp:613</a></div></div>
<div class="ttc" id="aclass_robot_model_html_abff75ab66f078cb17055da2a5c8a48ce"><div class="ttname"><a href="class_robot_model.html#abff75ab66f078cb17055da2a5c8a48ce">RobotModel::lwheel_rot</a></div><div class="ttdeci">double lwheel_rot</div><div class="ttdoc">Początkowy kąt rysowania lewego koła.</div><div class="ttdef"><b>Definition</b> <a href="_robot_model_8hpp_source.html#l00118">RobotModel.hpp:118</a></div></div>
<div class="ttc" id="aclass_robot_model_html_acbfac5e4469144d48c761f01631df790"><div class="ttname"><a href="class_robot_model.html#acbfac5e4469144d48c761f01631df790">RobotModel::checkMeasuresSize</a></div><div class="ttdeci">bool checkMeasuresSize()</div><div class="ttdoc">Sprawdza czy zebrano wystarczającą ilość pomiarów.</div><div class="ttdef"><b>Definition</b> <a href="_robot_model_8cpp_source.html#l00152">RobotModel.cpp:152</a></div></div>
<div class="ttc" id="aclass_robot_model_html_ad5aaa78e64238b82f7a6b8363bf1d4e9"><div class="ttname"><a href="class_robot_model.html#ad5aaa78e64238b82f7a6b8363bf1d4e9">RobotModel::drawBattery</a></div><div class="ttdeci">void drawBattery()</div><div class="ttdoc">Rysuje baterię</div><div class="ttdef"><b>Definition</b> <a href="_robot_model_8cpp_source.html#l00551">RobotModel.cpp:551</a></div></div>
<div class="ttc" id="aclass_robot_model_html_ad843021574c28bd3b719d7b106c27048"><div class="ttname"><a href="class_robot_model.html#ad843021574c28bd3b719d7b106c27048">RobotModel::obstacle_color</a></div><div class="ttdeci">const float obstacle_color[3]</div><div class="ttdoc">Kolor rysowanych przeszkód.</div><div class="ttdef"><b>Definition</b> <a href="_robot_model_8hpp_source.html#l00099">RobotModel.hpp:99</a></div></div>
<div class="ttc" id="aclass_robot_model_html_af95c27a9257a9337c8b513c25b40db66"><div class="ttname"><a href="class_robot_model.html#af95c27a9257a9337c8b513c25b40db66">RobotModel::drawBoard</a></div><div class="ttdeci">void drawBoard()</div><div class="ttdoc">Rysuje planszę, po której jeździ robot.</div><div class="ttdef"><b>Definition</b> <a href="_robot_model_8cpp_source.html#l00990">RobotModel.cpp:990</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_4aa64b0872d36146e049722e293482e3.html">prj</a></li><li class="navelem"><a class="el" href="dir_72345776cd6700fb0dedb8f1faaa0c00.html">inc</a></li><li class="navelem"><a class="el" href="_robot_model_8hpp.html">RobotModel.hpp</a></li>
    <li class="footer">Wygenerowano przez <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.7 </li>
  </ul>
</div>
</body>
</html>
